# DataExchange
TKXCAFSchema
PXCAFDoc

# PXCAFDoc_Color Class Reference

`#include <PXCAFDoc_Color.hxx>`

## Public Member Functions

Standard_EXPORT | PXCAFDoc_Color ()
Standard_EXPORT | PXCAFDoc_Color (const Quantity_Color &Loc)
Standard_EXPORT void | Set (const Quantity_Color &Loc)
Standard_EXPORT Quantity_Color | Get () const
| PXCAFDoc_Color (const Storage_stCONSTclCOM &a)
const Quantity_Color & | _CSFDB_GetPXCAFDoc_ColormyColor () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Quantity_Color | myColor

## Constructor & Destructor Documentation

Standard_EXPORT PXCAFDoc_Color::PXCAFDoc_Color | ( |  | ) |

Standard_EXPORT PXCAFDoc_Color::PXCAFDoc_Color | ( | const Quantity_Color & | Loc | ) |

PXCAFDoc_Color::PXCAFDoc_Color | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const Quantity_Color& PXCAFDoc_Color::_CSFDB_GetPXCAFDoc_ColormyColor | ( |  | ) | const`[inline]`

Standard_EXPORT Quantity_Color PXCAFDoc_Color::Get | ( |  | ) | const

Standard_EXPORT const PXCAFDoc_Color::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void PXCAFDoc_Color::Set | ( | const Quantity_Color & | Loc | ) |

## Field Documentation

Quantity_Color PXCAFDoc_Color::myColor `[private]`

The documentation for this class was generated from the following file:

- PXCAFDoc_Color.hxx